bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: stat(1) on Solaris 9


From: Eric Blake
Subject: Re: stat(1) on Solaris 9
Date: Thu, 8 Oct 2009 15:00:27 +0000 (UTC)
User-agent: Loom/3.14 (http://gmane.org/)

Jim Meyering <jim <at> meyering.net> writes:

> Eric Blake wrote:
> > Gnulib fixed stat(2) to work around Solaris 9 bugs.  But stat(1) still
> 
> Good reason to add a test of stat(1), too,
> if there isn't one.

Like so?

>From 1925296377019d6ee26e9daf390c4ffc129c3aa6 Mon Sep 17 00:00:00 2001
From: Eric Blake <address@hidden>
Date: Thu, 8 Oct 2009 08:53:56 -0600
Subject: [PATCH] stat: test recent patch

* tests/misc/stat-slash: New test.
* tests/Makefile.am (TESTS): Run it.
---
 tests/Makefile.am     |    1 +
 tests/misc/stat-slash |   49 +++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+), 0 deletions(-)
 create mode 100755 tests/misc/stat-slash

diff --git a/tests/Makefile.am b/tests/Makefile.am
index 5fd541a..8dc90f9 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -218,6 +218,7 @@ TESTS =                                             \
   misc/stat-fmt                                        \
   misc/stat-hyphen                             \
   misc/stat-printf                             \
+  misc/stat-slash                              \
   misc/stdbuf                                  \
   misc/stty                                    \
   misc/stty-invalid                            \
diff --git a/tests/misc/stat-slash b/tests/misc/stat-slash
new file mode 100755
index 0000000..cda94c5
--- /dev/null
+++ b/tests/misc/stat-slash
@@ -0,0 +1,49 @@
+#!/bin/sh
+# demonstrate that stat handles trailing slashes correctly
+
+# Copyright (C) 2009 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+if test "$VERBOSE" = yes; then
+  set -x
+  stat --version
+fi
+
+. $srcdir/test-lib.sh
+
+touch file || framework_failure
+mkdir dir || framework_failure
+ln -s file link1 || framework_failure
+ln -s dir link2 || framework_failure
+
+cat <<EOF > exp || framework_failure
+link1
+symbolic link
+directory
+directory
+EOF
+
+fail=0
+# This failed on Solaris 9 for coreutils 8.0.
+stat --format=%n link1 > out || fail=1
+stat --format=%n link1/ >> out && fail=1
+
+stat --format=%F link2 >> out || fail=1
+stat -L --format=%F link2 >> out || fail=1
+stat --format=%F link2/ >> out || fail=1
+
+compare out exp || fail=1
+
+Exit $fail
-- 
1.6.4.2








reply via email to

[Prev in Thread] Current Thread [Next in Thread]